plotSnp {SNPchip} | R Documentation

## Plots copy number and genotype calls against physical position

### Description

Returns an object inheriting from class `ParESet` – essentially, a list of default graphical parameters that can be modified as needed. The `show` method for this class plots the copy number and genotype calls versus physical position for an arbitrary number of samples and chromosomes.

### Usage

    plotSnp(object, hmmPredict, ...)
    ## S4 method for signature 'SnpLevelSet':
    plot(x, y, ...)

### Arguments

`object, x` | An object extending `ParESet`
`hmmPredict, y` | An object of class `HmmPredict`
`...` | Additional arguments to the initialization methods of the `ParESet` classes

### Details

See examples in the vignette

### Author(s)

R. Scharpf

### See Also

`par`, `ParESet-class`, `ParSnpCallSet-class`, `ParSnpCopyNumberSet-class`, `ParSnpSet-class`

### Examples

    data(sample.snpset)
    chr1 <- sample.snpset[chromosome(sample.snpset) == "1", 1]
    graph.par <- plotSnp(chr1)
    class(graph.par)
    ## Not run:
    graph.par
    ## End(Not run)

[Package SNPchip version 1.8.0 Index]